<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <variables>
    <variable name="remote" description="Remote Redis client needing an account" type="domainname" provider="Redis" mandatory="True"/>
    <variable name="remote_ip" description="Remote IP" type="ip" mandatory="True"/>
    <variable name="username" auto_save="False" hidden="True" type="password" mandatory="True" provider="Redis:username"/>
    <variable name="password" auto_save="False" hidden="True" type="password" mandatory="True" provider="Redis:password"/>
  </variables>
  <constraints>
    <fill name="get_ip">
      <param type="information">zones</param>
      <param type="variable">account.remote</param>
      <target>account.remote_ip</target>
    </fill>
  </constraints>
</rougail>

